# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'action_push/version'

Gem::Specification.new do |spec|
  spec.name          = 'action_push'
  spec.version       = ActionPush::VERSION
  spec.authors       = ['Aliaksandr Shylau']
  spec.email         = %w[alex.shilov.by@gmail.com]

  spec.summary       = 'Organize Push notifications'
  spec.description   = <<~TXT
    ActionPush is a lightweight tool which allows you to organize Push notifications the same way Action Mailer does. 
    It includes built-in support for the GORUSH gateway
  TXT
  spec.homepage      = 'https://github.com/shlima/action_push'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w[lib]

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-performance'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'i18n'
end
